Create notification campaign
curl --request POST \
--url https://{host}/push/v2/Campaign/notifications/send \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"campaign": {
"id": "<string>",
"name": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"issuer": "<string>"
},
"push": {
"title": "<string>",
"message": "<string>",
"templateName": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"deepLinkId": "<string>",
"deepLinkParameters": "<string>",
"deepLinkUrl": "<string>",
"unifiedCampaignId": "<string>"
},
"customerIds": [
"<string>"
],
"operationId": "<string>"
}
'import requests
url = "https://{host}/push/v2/Campaign/notifications/send"
payload = {
"campaign": {
"id": "<string>",
"name": "<string>",
"startAt": "2023-11-07T05:31:56Z",
"endAt": "2023-11-07T05:31:56Z",
"issuer": "<string>"
},
"push": {
"title": "<string>",
"message": "<string>",
"templateName": "<string>",
"expirationDate": "2023-11-07T05:31:56Z",
"deepLinkId": "<string>",
"deepLinkParameters": "<string>",
"deepLinkUrl": "<string>",
"unifiedCampaignId": "<string>"
},
"customerIds": ["<string>"],
"operationId": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
campaign: {
id: '<string>',
name: '<string>',
startAt: '2023-11-07T05:31:56Z',
endAt: '2023-11-07T05:31:56Z',
issuer: '<string>'
},
push: {
title: '<string>',
message: '<string>',
templateName: '<string>',
expirationDate: '2023-11-07T05:31:56Z',
deepLinkId: '<string>',
deepLinkParameters: '<string>',
deepLinkUrl: '<string>',
unifiedCampaignId: '<string>'
},
customerIds: ['<string>'],
operationId: '<string>'
})
};
fetch('https://{host}/push/v2/Campaign/notifications/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Create notification campaign
deprecated
POST
/
v2
/
Campaign
/
notifications
/
send
Create notification campaign
Authorizations
Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Response
Success
Last modified on August 10, 2026
⌘I